# yaml-language-server: $schema=https://raw.githubusercontent.com/kyverno/chainsaw/main/.schemas/json/test-chainsaw-v1alpha1.json
apiVersion: chainsaw.kyverno.io/v1alpha1
kind: Test
metadata:
  name: databasemigration
spec:
  steps:
  - try:
    - apply:
        file: ../shared/mock-postgres.yaml
    - apply:
        file: ../shared/mock-valkey.yaml
    - apply:
        file: ../shared/mock-gitaly.yaml
    - apply:
        file: application-config.yaml
    - apply:
        file: database-migration.yaml
    - assert:
        file: assertions.yaml
